View Issue Details

IDProjectCategoryView StatusLast Update
13099Bug reports[All Projects] Otherpublic2018-01-25 10:18
ReporterpunitvariaAssigned ToLouisGac 
PrioritynoneSeveritymajor 
Status closedResolutionreopened 
Product Version3.0.0-rc.x 
Target VersionFixed in Version3.0.x 
Summary13099: Error after upgrading LimeSurvey from Version 2.73.0+171219 to Version 3.0.0+171222
Description

Error following error after upgrading LimeSurvey from 2.73 to 3.0.0

Error 1
Internal Server Error
Table "lsnn_templates" does not have a column named "name".

Error 2
Internal Server Error
The table "{{tutorials}}" for active record class "Tutorials" cannot be found in the database.

Error 3
Internal Server Error
Can't render layout layout_survey_list.twig for template fruity. Template version in database is 1.0, but in config.xml it's 3.0. Please re-install the template.

An internal error occurred while the Web server was processing your request. Please contact the webmaster to report this problem.

Thank you.

Steps To Reproduce

Unzip Version 3.0.0+171222 package on old Version 2.73.0+171219 package and visit limesurvey
If you visit {URL}/index.php it throws Error 1

If you visit {URL}/index.php/admin it throws Error 2

After upgrading with this url {URL}index.php/admin/databaseupdate/sa/db/continue/yes
It throws Error 3

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.0.0+171222
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database & DB-Version5.5.47
Operating System (Server)Linux
Webserver software & versionLinux 2.6.32
PHP VersionPHP Version 5.5.30

Activities

mitti

mitti

2017-12-25 18:32

reporter   ~45389

Same issues occur while upgrading from 2.5. to version 3.
Reported error 1 can be solved by deleting runtime cache.

markusfluer

markusfluer

2017-12-28 11:34

manager   ~45394

These issues are fixed now.
A new release will be done soon.

punitvaria

punitvaria

2017-12-29 08:24

reporter   ~45395

Getting Same error "Internal Server Error" after Upgrade from 2.73.0+ to 3.0.1+

  1. on front end
    't render layout layout_survey_list.twig for template fruity. Template version in database is 1.0, but in config.xml it's 3.0. Please re-install the template.

  2. on surveys index.php/admin/survey/sa/listsurveys
    Property "Survey.gsid" is not defined.

punitvaria

punitvaria

2017-12-29 08:29

reporter   ~45396

Getting Same error "Internal Server Error" after Upgrade from 2.73.0+ to 3.0.1+

  1. on front end
    't render layout layout_survey_list.twig for template fruity. Template version in database is 1.0, but in config.xml it's 3.0. Please re-install the template.

  2. on surveys index.php/admin/survey/sa/listsurveys
    Property "Survey.gsid" is not defined.

olle

olle

2017-12-29 12:10

administrator   ~45403

I managed to fix 2. It will be included in 3.0.2. Regarding 1, talk to @LouisGac (fixes for upgrading from 2.73 to 3.0 might have to wait for a while).

olle

olle

2017-12-29 12:11

administrator   ~45404

A temporary fix is going to global settings, change default template, then re-install fruity, then change back fruity to default template.

LouisGac

LouisGac

2017-12-29 12:15

manager   ~45405

we'll provide an update from 2.7 to 3.1 in the comfortUpdate.

punitvaria

punitvaria

2018-01-11 08:19

reporter   ~45556

This issue still persist when we try to upgrade from Version 2.73.0+171219 to limesurvey3.0.2+180110

LouisGac

LouisGac

2018-01-11 10:15

manager   ~45559

3.0.2 is still not offered in the comfortUpdate.
but thank you for reporting, it will help us to prepare the update.

olle

olle

2018-01-11 12:39

administrator   ~45561

Which issue exactly? All of them?

jelo

jelo

2018-01-13 00:18

updater   ~45594

demo.limsurvey.org was updated to 3.0.2. Was that indented?
Executing a survey is currently impossible. Cause is error 3.

bootswatch:
Can't render layout layout_global.twig for template bootswatch. Template version in database is 1.0, but in config.xml it's 2.0. Please re-install the template.

fruity:
Can't render layout layout_global.twig for template fruity. Template version in database is 1.0, but in config.xml it's 3.0. Please re-install the template.

LouisGac

LouisGac

2018-01-15 10:25

manager   ~45602

demo needs a clean installation of 3.0.3 from scratch

c_schmitz

c_schmitz

2018-01-15 10:49

administrator   ~45789

Demo was updated.

jelo

jelo

2018-01-15 11:16

updater   ~45797

Demo was fixed over the weekend. Is currently on Version 3.0.2.
I was able to check things for forumquestions by users. Different themes worked.

Issue History

Date Modified Username Field Change
2017-12-23 10:31 punitvaria New Issue
2017-12-25 18:32 mitti Note Added: 45389
2017-12-28 11:34 markusfluer Assigned To => markusfluer
2017-12-28 11:34 markusfluer Status new => resolved
2017-12-28 11:34 markusfluer Resolution open => fixed
2017-12-28 11:34 markusfluer Fixed in Version => 3.0.x
2017-12-28 11:34 markusfluer Note Added: 45394
2017-12-29 08:24 punitvaria Note Added: 45395
2017-12-29 08:29 punitvaria Status resolved => feedback
2017-12-29 08:29 punitvaria Resolution fixed => reopened
2017-12-29 08:29 punitvaria Note Added: 45396
2017-12-29 12:10 olle Note Added: 45403
2017-12-29 12:11 olle Note Added: 45404
2017-12-29 12:15 LouisGac Note Added: 45405
2018-01-11 08:19 punitvaria Note Added: 45556
2018-01-11 08:19 punitvaria Status feedback => assigned
2018-01-11 10:15 LouisGac Note Added: 45559
2018-01-11 12:39 olle Note Added: 45561
2018-01-13 00:18 jelo Note Added: 45594
2018-01-15 10:24 LouisGac Assigned To markusfluer => c_schmitz
2018-01-15 10:25 LouisGac Note Added: 45602
2018-01-15 10:49 c_schmitz Note Added: 45789
2018-01-15 10:49 c_schmitz Assigned To c_schmitz => LouisGac
2018-01-15 11:16 jelo Note Added: 45797
2018-01-25 10:18 c_schmitz Status assigned => closed